#
# spec file for package anthy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           anthy
BuildRequires:  emacs-x11
BuildRequires:  fdupes
BuildRequires:  libtool
BuildRequires:  xemacs
BuildRequires:  xorg-x11-devel
Version:        9100h
Release:        34.42
Url:            https://osdn.jp/projects/anthy/
Source0:        anthy-%{version}.tar.bz2
Source1:        suse-start-anthy.el
Source2:        baselibs.conf
Patch2:         anthy-last-command-char-xemacs.patch
Patch3:         bugzilla-224463-comparison-with-string-literal.patch
# PATCH-FIX-OPENSUSE anthy-use-last-command-event.diff bnc#849211 tiwai@suse.de
Patch4:         anthy-use-last-command-event.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Kana-Kanji Conversion Engine
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/I18n/Japanese
# Summary(ja): 仮名漢字変換エンジン
# Anthy(旧称Ancy)
# 
# PC-Unix用の仮名漢字変換エンジンとしては Canna、 FreeWnn等が有名ですが、 
# いずれも1990年前後の国産Unixワークステーションのために開発され、 フリー
# なものの開発はほぼ停止している状態です。 Hekeプロジェクトでは新たな変
# 換エンジンを辞書を除いてフルスクラッチで 開発を行っています。
#
# 著者：
# ------
#     田畑 悠介 <yusuke@kmc.kyoto-u.ac.jp>

%description
Anthy (previously called 'Ancy'):

Canna, FreeWnn, and others are famous Kana-Kanji conversion engines
usable for Unix on PCs. They were originally developed for Japanese
Unix workstations around 1990 and development has practically stopped. 
Therefore, the Heke Project is writing a free conversion engine from
scratch (apart from the dictionary, which is developed outside of the
Heke Project).

%package devel
Summary:        Include Files and Libraries mandatory for Development.
License:        GPL-2.0+
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}
# Summary(ja): Anthy のヘッダファイル及びライブラリです。
# %description devel -l ja
# Anthy のヘッダファイル及びライブラリです。

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q
%patch2 -p 1
%patch3 -p 1
%if 0%{?suse_version} > 1230
%patch4 -p 1
%endif

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%configure --disable-static --with-pic
make %{?_smp_mflags}

%check
cd test
./anthy --all

%install
%makeinstall
install -m 644 $RPM_SOURCE_DIR/suse-start-anthy.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
# compile the XEmacs versions of the emacs-lisp files and install them:
pushd src-util
    rm -f *.elc
    # make EMACS=xemacs
    EMACS=xemacs ../elisp-comp *.el
    mkdir -p $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/anthy
    install -m 644 *.el *.elc $RPM_BUILD_ROOT/usr/share/xemacs/site-packages/lisp/anthy
popd
%fdupes $RPM_BUILD_ROOT/usr/share
%{__rm} -f %{buildroot}%{_libdir}/*.la
# remove unneeded Makefiles for documents
rm -f doc/Makefile.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog DIARY INSTALL NEWS README
%doc doc
%config %{_sysconfdir}/anthy-conf
%dir /usr/share/anthy/
/usr/share/anthy/*
%{_bindir}/*
%{_libdir}/*.so.*
/usr/share/emacs/site-lisp/*
/usr/share/xemacs/*

%files devel
%defattr(-, root, root)
%dir /usr/include/anthy/
/usr/include/anthy/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/anthy.pc

%changelog
* Tue Sep 22 2015 ftake@geeko.jp
- Stop providing locale(ja)
  + Most of ja locale users do not need this anymore
- Change the upstream URL
- Clean up the spec file
* Fri May 30 2014 jengelh@inai.de
- Drop unused build-time requirements on libpng, libgif, libtiff,
  krb5, openldap2
* Wed Nov  6 2013 tiwai@suse.de
- Fix breakage on GNU Emacs on openSUSE 13.1 (bnc#849211)
- Added patch: anthy-use-last-command-event.diff
* Fri Jul 12 2013 tiwai@suse.de
- work around the build error with xemacs 21.5.33
* Mon Feb  4 2013 coolo@suse.com
- update license to new format
* Sun Jun  3 2012 i@marguerite.su
- fix sles builds.
* Sun Dec 11 2011 meissner@suse.de
- does not need openldap2 direct dependency, libraries are enough
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Thu Dec 17 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Thu Jun  4 2009 tiwai@suse.de
- updated to anthy-9100h
  * auto-tools fixes
  * corpus updates
  * alt-cannadic updates
  * other many fixes; see ChangeLog
* Thu Jan  8 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Mon Dec  1 2008 ro@suse.de
- added baselibs.conf for anthy (needed by uim)
* Fri Jan 11 2008 mfabian@suse.de
- use fdupes only for openSUSE >= 10.3 to make it work for the
  older versions in the openSUSE build service.
* Tue Dec  4 2007 mfabian@suse.de
- remove openldap2 from BuildRequires.
- use fdupes.
* Thu Aug  2 2007 mfabian@suse.de
- update to 9100.
- add ldconfig post scripts.
* Wed Apr 25 2007 mfabian@suse.de
- update to 8813.
* Tue Dec 19 2006 mfabian@suse.de
- update to 8419.
- fix bugzilla #224463.
* Fri Jul 28 2006 mfabian@suse.de
- update to 7917.
  •dictionary of place names added
  •memory leak when the emacs key-map was changed fixed
  •add a dictionary of postal codes
* Tue Feb 28 2006 mfabian@suse.de
- add Provides:     locale(...).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mfabian@suse.de
- update to 7307.
* Wed Aug  3 2005 mfabian@suse.de
- update to 6801.
- remove Andreas Schwab's cleanup.patch, it is included now.
* Fri May  6 2005 mfabian@suse.de
- update to 6506.
* Sat Apr 23 2005 schwab@suse.de
- Clean up lisp code.
- Move *.so links to devel package.
* Tue Feb  1 2005 mfabian@suse.de
- update to 6131.
* Tue Jan 18 2005 mfabian@suse.de
- fix anthy.el to make 'backspace work when XEmacs is started
  in a terminal "xemacs -nw".
* Tue Dec 28 2004 mfabian@suse.de
- update to 6024.
* Thu Dec 16 2004 mfabian@suse.de
- update to 5924.
* Mon Oct 11 2004 mfabian@suse.de
- make 'anthy-add-word' work with xemacs.
- make 'anthy-add-word-interactive' work for special nouns.
* Mon Sep 20 2004 mfabian@suse.de
- Bugzilla #45561: move .so files to main package. uim needs the
  .so files but uim should not need to have anthy-devel installed
  to work.
- update to 5714:
  - initialize hankaku_kana_table. otherwise segv.
  - depgraph/: update from hmm branch
* Sat Sep  4 2004 mfabian@suse.de
- update to 5704.
* Fri Aug 13 2004 mfabian@suse.de
- update to 5613.
* Tue Feb 24 2004 mfabian@suse.de
- update to 5021.
* Tue Feb 10 2004 mfabian@suse.de
- update to 5008.
- compile and install emacs-lisp file for XEmacs as well.
- don't build as root.
* Mon Aug 25 2003 mfabian@suse.de
- update to 4421.
* Sun Feb 16 2003 mfabian@suse.de
- update to 3814
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Mon Aug 12 2002 mfabian@suse.de
- update to 3208
- fix autoconf problem
- anthy-devel should require anthy
- remove extra cannadic sources because they are contained in the
  anthy tarball now.
- add suse-start-anthy.el to make the input-method
  'japanese-anthy automatically available for GNU Emacs as soon
  as anthy is installed.
* Fri Apr  5 2002 mfabian@suse.de
- update to 2427b
- use 'libtoolize --force' and 'autoreconf --force --install'
  to fix build problems
* Wed Apr  3 2002 mfabian@suse.de
- update to version 2307
- update cannadic to 0.94b
- use %%{_libdir}
- add emacs stuff to '# neededforbuild' to be able to compile
  anthy.el
* Sat Sep  8 2001 mfabian@suse.de
- new package: Anthy, version 1800b
